- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
WP6Parser Class Reference

`#include <WP6Parser.h>`

Inheritance diagram for WP6Parser:

## Public Member Functions
| WP6Parser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
| ~WP6Parser ()
void | parse (librevenge::RVNGTextInterface *documentInterface)
void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface)
Public Member Functions inherited from WPXParser
| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()

## Static Public Member Functions
static void | parseDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6Listener *listener)

## Private Member Functions
WP6PrefixData * | getPrefixData (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6Listener *listener)
void | parsePacket (WP6PrefixData *prefixData, int type, WP6Listener *listener)
void | parsePackets (WP6PrefixData *prefixData, int type, WP6Listener *listener)

## Additional Inherited Members
Protected Member Functions inherited from WPXParser
WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Constructor & Destructor Documentation

WP6Parser::WP6Parser | ( | librevenge::RVNGInputStream * | input,
|  | WPXHeader * | header,
|  | WPXEncryption * | encryption
| ) |  |

WP6Parser::~WP6Parser | ( |  | ) |

## Member Function Documentation

WP6PrefixData * WP6Parser::getPrefixData | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| private

Referenced by parse().

void WP6Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

Implements WPXParser.

void WP6Parser::parse | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP6Listener * | listener
| ) |  |
| private

void WP6Parser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP6Listener * | listener
| ) |  |
| static

Referenced by WP6SubDocument::parse(), parse(), and parseSubDocument().

void WP6Parser::parsePacket | ( | WP6PrefixData * | prefixData,
|  | int | type,
|  | WP6Listener * | listener
| ) |  |
| private

Referenced by parse().

void WP6Parser::parsePackets | ( | WP6PrefixData * | prefixData,
|  | int | type,
|  | WP6Listener * | listener
| ) |  |
| private

Referenced by parse().

void WP6Parser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

Implements WPXParser.

The documentation for this class was generated from the following files:

- WP6Parser.h
- WP6Parser.cpp